Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
Class ConstructorSite.NoParamSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.MetaClassSite
              org.codehaus.groovy.runtime.callsite.ConstructorSite
                  org.codehaus.groovy.runtime.callsite.ConstructorSite.ConstructorSiteNoUnwrapNoCoerce
                      org.codehaus.groovy.runtime.callsite.ConstructorSite.NoParamSite

All Implemented Interfaces:
  CallSite

Enclosing class:
  ConstructorSite

    public static class ConstructorSite.NoParamSite

extends ConstructorSite.ConstructorSiteNoUnwrapNoCoerce

Nested Class Summary

Nested classes/interfaces inherited from class org.codehaus.groovy.runtime.callsite.ConstructorSite
`ConstructorSite.ConstructorSiteNoUnwrap, ConstructorSite.ConstructorSiteNoUnwrapNoCoerce, ConstructorSite.NoParamSite`

Field Summary

Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite
`metaClass`

Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite
`array, index, name, usage`

Constructor Summary
`ConstructorSite.NoParamSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, Class[] params)`

Method Summary
`Object` | `callConstructor(Object receiver, Object[] args)`

Methods inherited from class org.codehaus.groovy.runtime.callsite.ConstructorSite
`checkCall, createConstructorSite`

Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite
`acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstructorSite.NoParamSite

    public ConstructorSite.NoParamSite(CallSite site,
                                       MetaClassImpl metaClass,
                                       CachedConstructor constructor,
                                       Class[] params)

Method Detail

### callConstructor

    public final Object callConstructor(Object receiver,
                                        Object[] args)
                                 throws Throwable

  Specified by:
    `callConstructor` in interface `CallSite`
  Overrides:
    `callConstructor` in class `ConstructorSite.ConstructorSiteNoUnwrapNoCoerce`
  Throws:
    `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD